{% extends 'base.html' %}
{% load crispy_forms_tags %}
{% block content %}
    <div class="container mb-5">
        <br>
        <br>
        <div class="bg-light rounded border-dark p-3">
            <h4>Sprint a iniciar</h4>
            <table class="table table-bordered ">
                <tbody>
                <tr>
                    <th scope="row" style="width:40%" style="width:40%">Numero de Sprint:</th>
                    <td>{{ sprint.numero }}</td>
                </tr>
                <tr>
                    <th scope="row" style="width:40%">Cantidad de horas de trabajo aproximado:</th>
                    <td>{{ horastrabajo }}</td>
                </tr>
                <tr>
                    <th scope="row" style="width:40%">Cantidad de horas de trabajo semanal de equipo</th>
                    <td>{{ cargasemanal }}</td>
                </tr>
                <tr>
                    <th scope="row" style="width:40%">Fecha de inicio</th>
                    <td>{{ sprint.fechaInicio }}</td>
                </tr>
                <tr>
                    <th scope="row" style="width:40%">Fecha de fin</th>
                    <td>{{ sprint.fechaFin }}</td>
                </tr>
                </tbody>
            </table>

            <h3>Sprint Backlog</h3>
            <table class="table table-bordered ">
                <thead>
                <tr>
                    <th scope="col">User Story</th>
                    <th scope="col">Prioridad</th>
                    <th scope="col">Estimacion</th>
                    <th scope="col">Encargado</th>
                </tr>
                </thead>
                <tbody>
                {% for pp in listUs %}
                    <tr>
                        <td>{{ pp.idUs.titulo }}</td>
                        <td>{{ pp.prioridad }}</td>
                        <td>
                            {% if pp.estimacionFinal %}
                                {{ pp.estimacionFinal }}
                            {% else %}
                                No Estimado
                            {% endif %}
                        </td>
                        <td>{{ pp.miembroEncargado }}</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>


            <div class="bg-light border rounded border-light">
                <div id="idAlertDiv" style="display: none;">
                    <div class="alert alert-warning d-flex align-items-center" role="alert">
                        <svg class="bi flex-shrink-0 me-2 m-3" width="24" height="24" role="img" aria-label="Warning:">
                            <use xlink:href="#exclamation-triangle-fill"></use>
                        </svg>
                        <div>
                            Advertencia : La cantidad de dias para completar el Sprint es reducido. Recomendamos que
                            aumente el rango de fecha.
                        </div>
                    </div>
                </div>
                <div id="idAlertfechaMenor" style="display: none;">
                    <div class="alert alert-warning d-flex align-items-center" role="alert">
                        <svg class="bi flex-shrink-0 me-2 m-3" width="24" height="24" role="img" aria-label="Warning:">
                            <use xlink:href="#exclamation-triangle-fill"></use>
                        </svg>
                        <div>
                            Advertencia : Seleccione una fecha de finalizacion posterior a la fecha de inicio
                        </div>
                    </div>
                </div>
                <form method="POST">
                    {{ formfecha|crispy }}
                    {% csrf_token %}
                    {% if puedeIniciar %}
                        <button id="btnIniciarSprint" type="submit" class="btn btn-primary">Iniciar</button>
                    {% else %}
                        <div class="alert alert-danger" role="alert">
                            No se Puede Iniciar este Sprint
                        </div>
                    {% endif %}
                    <a class="btn btn-secondary" href="{% url 'Proyecto:ListarSprint' idProyecto %}"
                       role="button">Volver</a>
                </form>
            </div>
        </div>


    </div>

    <script>
        // Función externa para calcular si le alcanza el tiempo
        function calcularTiempo() {
            if (document.getElementById('id_fechaInicio').value != null && document.getElementById('id_fechaFin').value != null) {
                // traemos obtenemos las fechas
                var fechaini = new Date($("#id_fechaInicio").val() + "T00:00:00");
                var fechafin = new Date($("#id_fechaFin").val() + "T00:00:00");
                var diasdif = fechafin.getTime() - fechaini.getTime();

                // cantidad de dias entre las dos fechas
                var cantdias = Math.round(diasdif / (1000 * 60 * 60 * 24));

                // Cantidad de horas que se trabajara
                var horaTrabajoPosible = cantdias / 7 *{{ cargasemanal }};
                horaTrabajoPosible = Math.round(horaTrabajoPosible);

                // Cant de horas a trabajar);
                var horastrabajo = {{ horastrabajo }};

                if (diasdif <= 0) {
                    document.getElementById("btnIniciarSprint").disabled = true;
                    document.getElementById("idAlertfechaMenor").style.display = "block";
                } else {
                    document.getElementById("btnIniciarSprint").disabled = false;
                    document.getElementById("idAlertfechaMenor").style.display = "none";
                    // la horas de a trabajar es > a horas de trabajo posible, mostar div con alerta
                    if (horastrabajo > horaTrabajoPosible) {
                        document.getElementById("idAlertDiv").style.display = "block";
                    } else {
                        document.getElementById("idAlertDiv").style.display = "none";
                    }
                }

            }
        }

        window.onload = function () {
            calcularTiempo();
        }

        // Asignar la función externa al elemento
        document.getElementById("id_fechaInicio").onchange = calcularTiempo;
        document.getElementById("id_fechaFin").onchange = calcularTiempo;

    </script>




{% endblock %}